Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.view
Class RedirectView

    java.lang.Object
      net.sourceforge.pebble.web.view.View
          net.sourceforge.pebble.web.view.RedirectView

    public class RedirectView

extends View

Represents a JSP view component and prepares the model for display.

Author:
  Simon Brown

Constructor Summary
`RedirectView(java.lang.String uri)` Creates a new instance with the specified URI.

Method Summary
`void` | `dispatch(HttpServletRequest request, HttpServletResponse response, ServletContext context)` Dispatches this view.
`java.lang.String` | `getContentType()` Gets the title of this view.
`java.lang.String` | `getUri()` Gets the URI that this view represents.

Methods inherited from class net.sourceforge.pebble.web.view.View
`getModel, getServletContext, prepare, setModel, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedirectView

    public RedirectView(java.lang.String uri)

  Creates a new instance with the specified URI.

  Parameters:
    `uri` - the URI to redirect to

Method Detail

### getUri

    public java.lang.String getUri()

  Gets the URI that this view represents.

  Returns:
    the URI as a String

### getContentType

    public java.lang.String getContentType()

  Gets the title of this view.

  Specified by:
    `getContentType` in class `View`
  Returns:
    the title as a String

### dispatch

    public void dispatch(HttpServletRequest request,
                         HttpServletResponse response,
                         ServletContext context)
                  throws ServletException

  Dispatches this view.

  Specified by:
    `dispatch` in class `View`
  Parameters:
    `request` - the HttpServletRequest instance
    `response` - the HttpServletResponse instance
    `context` -
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.